de.esprit.netsuite.server.config

## Enum ServerDirectory

- java.lang.Object
- - java.lang.Enum<ServerDirectory>
  - - de.esprit.netsuite.server.config.ServerDirectory

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ServerDirectory>

      public enum ServerDirectory
      extends java.lang.Enum<ServerDirectory>

  These are the sub-directories in the servers workspaceDir
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONFIG_DIR`
    `SRVDATA_DIR`
    `SRVHIST_DIR`
    `SRVLOGS_DIR`
    `SRVTASK_DIR`
    `WEBDATA_DIR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.File` | `getFile()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `toString()`
    `static ServerDirectory` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ServerDirectory[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONFIG_DIR

          public static final ServerDirectory CONFIG_DIR

    - #### SRVDATA_DIR

          public static final ServerDirectory SRVDATA_DIR

    - #### SRVLOGS_DIR

          public static final ServerDirectory SRVLOGS_DIR

    - #### SRVHIST_DIR

          public static final ServerDirectory SRVHIST_DIR

    - #### SRVTASK_DIR

          public static final ServerDirectory SRVTASK_DIR

    - #### WEBDATA_DIR

          public static final ServerDirectory WEBDATA_DIR

  - ### Method Detail

    - #### values

          public static ServerDirectory[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServerDirectory c : ServerDirectory.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServerDirectory valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

    - #### getFile

          public java.io.File getFile()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ServerDirectory>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.